Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wutka.dtd
Class DTDNotationList

    java.lang.Object
      |
      +--com.wutka.dtd.DTDNotationList

All Implemented Interfaces:
  DTDOutput

public class DTDNotationList
extends Object
implements DTDOutput

Represents a notation declaration for an attribute

Version:
  $Revision: 1.12 $ $Date: 2000/09/01 13:21:05 $ by $Author: wutka $
Author:
  Mark Wutka

Field Summary
`protected Vector` | `items`

Constructor Summary
`DTDNotationList()` Creates a new notation

Method Summary
`void` | `add(String item)` Adds a item to the list of notation values
`boolean` | `equals(Object ob)`
`String[]` | `getItem()` Returns the items in the notation list
`String` | `getItem(int i)` Retrieves an item from the notation list
`String[]` | `getItems()` Returns the list of notation values as an array
`Vector` | `getItemsVec()` Returns the list of notation values as a vector
`void` | `remove(String item)` Removes an item from the list of notation values
`void` | `setItem(String[] newItems)` Sets the items in the notation list
`void` | `setItem(String item, int i)` Stores an item in the notation list
`void` | `write(PrintWriter out)` Writes a declaration for this notation

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### items

    protected Vector items

Constructor Detail

### DTDNotationList

    public DTDNotationList()

  Creates a new notation

Method Detail

### add

    public void add(String item)

  Adds a item to the list of notation values

### remove

    public void remove(String item)

  Removes an item from the list of notation values

### getItems

    public String[] getItems()

  Returns the list of notation values as an array

### getItemsVec

    public Vector getItemsVec()

  Returns the list of notation values as a vector

### write

    public void write(PrintWriter out)
               throws IOException

  Writes a declaration for this notation
  Specified by:
    `write` in interface `DTDOutput`

### equals

    public boolean equals(Object ob)

  Overrides:
    `equals` in class `Object`

### getItem

    public String[] getItem()

  Returns the items in the notation list

### setItem

    public void setItem(String[] newItems)

  Sets the items in the notation list

### setItem

    public void setItem(String item,
                        int i)

  Stores an item in the notation list

### getItem

    public String getItem(int i)

  Retrieves an item from the notation list

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD